<template>
  <div class="order-geography-title">
    <template v-if="isService">
      {{ serviceTitle }}
    </template>
    <template v-else-if="order.isSuborder">
      {{ order.titleGeography }}
    </template>
    <template v-else>
      <template v-if="order.startPoint && order.endPoint">
        {{ order.startPoint }} → {{ order.endPoint }}
      </template>
    </template>
  </div>
</template>

<script>
export default {
  name: 'OrderGeographyTitle',
  props: {
    order: {
      type: Object,
      default: () => {}
    }
  },
  computed: {
    isService () {
      return this.species && !['AUTO', 'TRAIN'].includes(this.species)
    },
    enumTripsMap () {
      return {
        "RAILWAY_TARIFF": "Провозной тариф",
        "CONTAINER_FREIGHT": "Аренда контейнера",
        "TERMINAL_PROCESSING": "Услуга в точке"
      }
    },
    species () {
      return this.order.species
    },
    serviceTitle () {
      const isExistService = Boolean(this.order.service)
      const serviceTitle = isExistService ? this.order.serviceTypeTitle : this.enumTripsMap[this.species]

      if (this.species === 'TERMINAL_PROCESSING') {
        return `${serviceTitle}. В точке ${this.order.startAddress}`
      } else {
        return serviceTitle
      }
    }
  },
}
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/mixins";

.order-geography-title {
  margin-bottom: 35px;
  @include font-mixin(20px, 28px, 600, $components-orderExecution_caption_font_color, 0.4px);
}
</style>